MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
VorbisComment Class Reference

OO wrapper for a #vorbis_comment instance. More...

`#include <VorbisComment.hxx>`

## Public Member Functions
| VorbisComment ()
| ~VorbisComment ()
| VorbisComment (const VorbisComment &)=delete
VorbisComment & | operator= (const VorbisComment &)=delete
| operator vorbis_comment & ()
| operator vorbis_comment * ()
void | AddTag (const char *tag, const char *contents)

## Detailed Description

OO wrapper for a #vorbis_comment instance.

Definition at line 30 of file VorbisComment.hxx.

## Constructor & Destructor Documentation

VorbisComment::VorbisComment | ( |  | ) |
| inline

Definition at line 34 of file VorbisComment.hxx.

VorbisComment::~VorbisComment | ( |  | ) |
| inline

Definition at line 38 of file VorbisComment.hxx.

VorbisComment::VorbisComment | ( | const VorbisComment & |  | ) |
| delete

## Member Function Documentation

void VorbisComment::AddTag | ( | const char * | tag,
|  | const char * | contents
| ) |  |
| inline

Definition at line 53 of file VorbisComment.hxx.

VorbisComment::operator vorbis_comment & | ( |  | ) |
| inline

Definition at line 45 of file VorbisComment.hxx.

VorbisComment::operator vorbis_comment * | ( |  | ) |
| inline

Definition at line 49 of file VorbisComment.hxx.

VorbisComment& VorbisComment::operator= | ( | const VorbisComment & |  | ) |
| delete

The documentation for this class was generated from the following file:

- lib/xiph/VorbisComment.hxx